Commit f7921901 authored by Walter Heck's avatar Walter Heck

Updated some documentation for 1.6

parent 83ac810b
......@@ -20,18 +20,10 @@ If you wish to use puppet enterprise instead of opensource for development, you
* Download the Puppet enterprise installer you will use at least for the master (by default this is PE 2015.2.2 on CentOS 7):
* PE 2015.2.0:
* https://s3.amazonaws.com/pe-builds/released/2015.2.0/puppet-enterprise-2015.2.0-ubuntu-14.04-amd64.tar.gz
* https://s3.amazonaws.com/pe-builds/released/2015.2.0/puppet-enterprise-2015.2.0-el-7-x86_64.tar.gz
* https://s3.amazonaws.com/pe-builds/released/2015.2.0/puppet-enterprise-2015.2.0-el-6-x86_64.tar.gz
* PE 2015.2.2:
* https://s3.amazonaws.com/pe-builds/released/2015.2.2/puppet-enterprise-2015.2.2-ubuntu-14.04-amd64.tar.gz
* https://s3.amazonaws.com/pe-builds/released/2015.2.2/puppet-enterprise-2015.2.2-el-7-x86_64.tar.gz
* https://s3.amazonaws.com/pe-builds/released/2015.2.2/puppet-enterprise-2015.2.2-el-6-x86_64.tar.gz
* PE 2015.3.0:
* https://s3.amazonaws.com/pe-builds/released/2015.3.0/puppet-enterprise-2015.3.0-el-7-x86_64.tar.gz
* PE 2016.1.1:
* https://s3.amazonaws.com/pe-builds/released/2016.1.1/puppet-enterprise-2016.1.1-el-7-x86_64.tar.gz
Use the pe-build plugin that comes with oscar to place the downloaded puppet enterprise installer in the correct location on your host.
......@@ -74,11 +66,16 @@ Use the pe-build plugin that comes with oscar to place the downloaded puppet ent
* Now bring up one or more machines with oscar on your host machine:
```
vagrant up mysql
vagrant up icinga2
vagrant up gitlab
vagrant up elasticsearch
```
to see which machines are available, simply do an `vagrant status`.
NOTE: you might have to run puppet a number of times on each node to make sure it fully puppetises itself. Some of the initial runs might have errors but they will go away as the puppet runs on all servers start happening.
* You might also want to install r10k or puppet-librarian on your host machine and install the modules the opstheater repo uses on your host so you can browse through them.
TODO: Add instructions for r10k setup
......@@ -28,3 +28,5 @@
```
3. Run puppet agent
4. Open icinga2 web frontend and log in with icingaadmin / icinga
# Instructions for attaching an existing node to opstheater
In order to add an existing node to OpsTheater the puppet agent for the operating system needs to be installed. See the puppet.com website for details.
# Instructions for attaching a new node to opstheater
Make sure the node gets the puppet agent installed as part of it's provisioning and point it at the puppetmaster you have set up. More details on this can be found on the puppetlabs website.
......@@ -19,6 +19,8 @@
- [ ] Try to search for a host in Kibana and check if you are getting logs of that host.
[ ] Check if you can create users and usergroups in Icinga
**Release specific Checks :**
......
# Release process
For a log of 1.4 release process see: https://github.com/olindata/opstheater-control/issues/55
This borrows heavily and is modeled after: http://doc.gitlab.com/ce/release/monthly.html
**NOTE: This is a guide used by OlinData BV for handling releases of OpsTheater. As an end user you do not need to use this guide.**
# Release cycle
Problems notwithstanding we release a new version of OpsTheater every month on the first of the month. Our timing is based on and coincides with a number of the software packaged within OpsTheater. Security releases are published when needed. Our changelog for the release will contain changes, new features, and packaged software version information.
Problems notwithstanding we release a new version of OpsTheater every month on the first working day of the month. Our timing is based on and coincides with a number of the software packaged within OpsTheater. Security releases are published when needed. Our changelog for the release will contain changes, new features, and packaged software version information.
# Release timing
......
# OpsTheater 1.5.0 Upgrade instructions (from 1.4.0)
# OpsTheater 1.6.0 Upgrade instructions (from 1.5.0)
For this release OpsTheater components will need to be upgraded manually.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment